ru.yandex.clickhouse.except

## Class ClickHouseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - ru.yandex.clickhouse.except.ClickHouseException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

Direct Known Subclasses:
  ClickHouseUnknownException

    public class ClickHouseException
    extends SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseException(int code, String message, Throwable cause)`
`ClickHouseException(int code, String message, Throwable cause, String host, int port)`
`ClickHouseException(int code, Throwable cause, String host, int port)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ClickHouseException

    public ClickHouseException(int code,
                               Throwable cause,
                               String host,
                               int port)

#### ClickHouseException

    public ClickHouseException(int code,
                               String message,
                               Throwable cause,
                               String host,
                               int port)

#### ClickHouseException

    public ClickHouseException(int code,
                               String message,
                               Throwable cause)